IM_INIT(3)

NAME
im_init - make an IMAGE descriptor

SYNOPSIS
#include <vips/vips.h> IMAGE *im_init( char *filename )

DESCRIPTION
im_init(3) allocates space for an IMAGE descriptor, sets all fields to initial values, and returns the descriptor. A copy is made of the filename argument. The IMAGE returned by im_init(3) should be passed to im_close(3) to free it. This function is used internally by VIPS and should not be called by users.

SEE ALSO
im_mmapin(3), im_openin(3), im_setbuf(3), im_close(3).

COPYRIGHT
Birkbeck College and the National Gallery (c) 1994

AUTHOR
N. Dessipris - 11/04/1990
J.Cupitt - 23/2/94